<form name="editForm" role="form" novalidate ng-submit="vm.save()" show-validation>

    <div class="header">
        <h4 class="title" id="myProbioticLabel" data-translate="probioticApp.probiotic.home.createOrEditLabel">
            Create or edit a Probiotic</h4>
    </div>
    <div class="body">
        <jhi-alert-error></jhi-alert-error>
        <div class="form-group" ng-show="vm.probiotic.id">
            <label for="id" data-translate="global.field.id">ID</label>
            <input type="text" class="form-control" id="id" name="id"
                   ng-model="vm.probiotic.id" readonly/>
        </div>
        <div class="form-group">
            <label class="control-label" data-translate="probioticApp.probiotic.name" for="field_name">Name</label>
            <input type="text" class="form-control" name="name" id="field_name"
                   ng-model="vm.probiotic.name"
                   required/>
            <div ng-show="editForm.name.$invalid">
                <p class="help-block"
                   ng-show="editForm.name.$error.required" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>
        </div>

        <div class="form">
            <label>Alérgenos</label> <br>

            <label class="control-label" data-translate="probioticApp.probiotic.have_allergens"
                   for="field_have_allergens">Have Allergens</label>
            <input type="checkbox" name="have_allergens" id="field_have_allergens"
                   ng-model="vm.probiotic.have_allergens"/>
        </div>

        <div class="form">
            <div ng-show="vm.probiotic.have_allergens== '1'">
                <div class="row">
                    <div ng-repeat="allergens in vm.allergens track by allergens.id" class="col-md-6 action-checkbox">
                        <input class="form-check-input" id="allergens-{{allergens.id}}" type="checkbox"
                               ng-true-value="{{allergens.id}}" ng-checked="vm.isCheckedAllergens(allergens.id) == true"
                               ng-click="vm.currentSelectionAllergens(allergens)">
                        <label class="control-label" for="allergens-{{allergens.id}}">
                            {{allergens.name}}
                        </label>
                        </input>
                    </div>
                </div>

                <div class="text-center">
                    <jhi-item-count page="vm.pageAllergen" total="vm.queryCountAllergen"
                                    items-per-page="vm.itemsPerPage"></jhi-item-count>
                    <uib-pagination class="pagination-sm" total-items="vm.totalItemsAllergen"
                                    items-per-page="vm.itemsPerPage"
                                    ng-model="vm.pageAllergen" ng-change="vm.transitionAllergen()"></uib-pagination>
                </div>

            </div>
        </div>


        <div class="form-group">
            <label data-translate="probioticApp.probiotic.strain">Strain</label> <br>
            <div class="row">
                <div ng-repeat="strain in vm.strains track by strain.id"
                     class="col-md-6 action-checkbox">
                    <input class="form-check-input" id="strain-{{strain.id}}" type="checkbox"
                           ng-true-value="{{strain.id}}" ng-checked="vm.isCheckedStrains(strain.id) == true"
                           ng-click="vm.currentSelectionStrains(strain)">
                    <label class="form-check-label" for="strain-{{strain.id}}">
                        {{strain.name}}
                    </label>
                    </input>
                </div>
            </div>

            <div ng-show="vm.probiotic.strains == ''">
                <p class="help-block"
                   ng-show="vm.probiotic.strains == ''" data-translate="entity.validation.required">
                    This field is required.
                </p>
            </div>

            <div class="text-center">
                <jhi-item-count page="vm.pageStrain" total="vm.queryCountStrain"
                                items-per-page="vm.itemsPerPage"></jhi-item-count>
                <uib-pagination class="pagination-sm" total-items="vm.totalItemsStrain" items-per-page="vm.itemsPerPage"
                                ng-model="vm.pageStrain" ng-change="vm.transitionStrain()"></uib-pagination>
            </div>

        </div>


    </div>
    <div class="footer">
        <button type="submit"
                onclick="window.history.go(-1); return false;"
                class="btn">
            <span class="glyphicon glyphicon-arrow-left"></span>&nbsp;
            <span class="hidden-sm-down" data-translate="entity.action.back"> Back</span>
        </button>
        <button type="submit" ng-disabled="editForm.$invalid || vm.isSaving || vm.probiotic.strains == ''"
                class="btn btn-primary">
            <span class="glyphicon glyphicon-save"></span>&nbsp;<span data-translate="entity.action.save">Save</span>
        </button>

    </div>
</form>
